#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDB,0x67,0x8A,0x91,0x75,0x1B,0xB4,0xA6,0x63,0x42,0x80,0xFC,
		0xF0,0x1E,0x3D,0x9C,0x23,0xFE,0x86,0x54,0x58,0xD2,0xC3,0xDD,
		0x6E,0x9A,0xCB,0x0D,0x65,0xD7,0x02,0xC1,0x13,0x58,0x40,0x9D,
		0x53,0x84,0x23,0x1F,0xC0,0xDA,0x90,0x7F,0x2B,0x58,0x9C,0x5A,
		0xFE,0xA5,0xCE,0x19,0x44,0x37,0x0E,0xE0,0xC1,0x3A,0x27,0xB9,
		0xAE,0xEF,0x2C,0x63,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
